summaryrefslogtreecommitdiff
path: root/games-emulation/dosbox-x/dosbox-x-9999.ebuild
diff options
context:
space:
mode:
authorJakob L. Kreuze <jakob@memeware.net>2018-10-14 13:25:17 -0400
committerJakob L. Kreuze <jakob@memeware.net>2018-10-14 13:25:17 -0400
commit3b52fa3411564cd0b0fd5b192caedbd8f1306d4c (patch)
tree98e673a0ad9430509f4958068e37f8ba5e2e98c1 /games-emulation/dosbox-x/dosbox-x-9999.ebuild
Initial commit.
Diffstat (limited to 'games-emulation/dosbox-x/dosbox-x-9999.ebuild')
-rw-r--r--games-emulation/dosbox-x/dosbox-x-9999.ebuild58
1 files changed, 58 insertions, 0 deletions
diff --git a/games-emulation/dosbox-x/dosbox-x-9999.ebuild b/games-emulation/dosbox-x/dosbox-x-9999.ebuild
new file mode 100644
index 0000000..46d4e49
--- /dev/null
+++ b/games-emulation/dosbox-x/dosbox-x-9999.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic git-r3
+
+DESCRIPTION="x86 emulator with builtin DOS, with patches with more features"
+HOMEPAGE="http://dosbox-x.com/"
+EGIT_REPO_URI="https://github.com/joncampbell123/dosbox-x.git"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+IUSE="alsa debug glide hardened ffmpeg opengl"
+
+DEPEND="alsa? ( media-libs/alsa-lib )
+ ffmpeg? ( media-video/ffmpeg )
+ opengl? ( virtual/glu virtual/opengl )
+ debug? ( sys-libs/ncurses:0 )
+ media-libs/libpng
+ media-libs/libsdl[joystick,video,X]
+ media-libs/sdl-net
+ media-libs/sdl-sound"
+# glide? ( media-libs/openglide )
+
+RDEPEND=${DEPEND}
+
+if [[ ${PV} = 9999 ]]; then
+ S=${WORKDIR}/dosbox-x-9999
+fi
+
+src_compile() {
+ # Stolen from https://aur.archlinux.org/packages/dosbox-x-git/
+ sed -i 's/CODEC_FLAG2_FAST/AV_CODEC_FLAG2_FAST/g' src/hardware/hardware.cpp
+
+ ./autogen.sh || exit 1
+ chmod +x vs2015/sdl/build-scripts/strip_fPIC.sh
+
+ # Prefer to compile against the internal copy of SDL 1.x
+ echo Compiling our internal SDL 1.x
+ (cd vs2015/sdl && ./build-dosbox.sh) || exit 1
+
+ echo Compiling DOSBox-X
+ chmod +x configure
+ econf \
+ $(use_enable alsa alsa-midi) \
+ $(use_enable ffmpeg avcodec) \
+ $(use_enable !hardened dynamic-core) \
+ $(use_enable !hardened dynamic-x86) \
+ $(use_enable debug) \
+ $(use_enable opengl)
+ emake
+}
+
+# src_install() {
+# make DESTDIR="$D" install
+# }